%% FUNCIÓN TRANSMISIÓN OFDM
%<TX_OFDM>

%PARÁMETROS DE RETORNO:
%vTxOFDM: Vector a TX OFDM
%bGIzq: Banda de guarda izquierda
%bGDer: Valor banda de guarda derecha

%PARÁMETROS DE INGRESO:
%parametros: Estructura con parámetros de simulación


function [vTxOFDM,bGIzq,bGDer]= TX_OFDM(parametros)
       
    % Generación Datos
    datos=generacionDatos(2*parametros.numSub);
    
    % Modulación QPSK
    datosQPSK=modQPSK(datos);
   
    % Cálculo IFFT
    [vIFFT,bGIzq,bGDer]=calcIFFT(datosQPSK,parametros);
    
    % Inserción PC
    vTxOFDM=[vIFFT(end-parametros.pc(2)+1:end);vIFFT];
 
end


